Subject: Re: bug#31803: Problems in chroot.2, ln.1, test.1, [.1

From: "Eric S. Raymond" <[email-masked]>
Date: Thu, 14 Jun 2018 00:09:45 -0400

Paul Eggert <[email-masked]>:
> It turns out to be more complicated, since test.1 and ln.1 are automatically
> generated by help2man. Also, in looking at the troff source I thought it'd
> be cleaner to quote the square brackets, like this for example:
> 
> .B "["
> 
> If this doesn't work for doclifter please let me know; we could use '.B [\&'
> instead, as now that I think about it that's a more common way to address
> similar issues than the comment hack I mentioned in my previous email.

I think [\& would be better.  I have to quote-strip while parsing
synopsis sections, so there's an order-of-operations issue there
that's best avoided.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>

My work is funded by the Internet Civil Engineering Institute: https://icei.org
Please visit their site and donate: the civilization you save might be your own.